
dofile("Interface/loginxml/_fastlogin.lua");

ACCOUNTLOGIN_FADEIN_TIME1 = 0.001;
ACCOUNTLOGIN_FADEIN_TIME2 = 0.001;
ACCOUNTLOGIN_AGREEMENT = false;


function AccountLogin_OnShow()

	if ( fastLoginAutoLogin and ( not fastLoginTriedOnce ) ) then
		AccountLoginAccountEdit:SetText(fastLoginUser);
		AccountLoginPasswordEdit:SetFocus();
		AccountLoginPasswordEdit:SetText(fastLoginPass);
		fastLoginTriedOnce=true;
		AccountLogin_Login();
	else
		AccountLoginPasswordEdit:SetFocus();
	end

end

function AccountLogin_OnKeyDown(this, key)
	if ( key == "ESCAPE" ) then
		AccountLogin_Exit();
	end
end

function AccountLogin_OnKeyUp(this, key)

end

function AccountLogin_OnMouseDown(this, key)

end

function AccountLogin_OnMouseUp(this, key)

end

function AccountLogin_OnUpdate(this, elapsedTime)
	if ( AccountLogin.update ) then
		AccountLogin.update = AccountLogin.update + elapsedTime;
		Alpha = ( AccountLogin.update - ACCOUNTLOGIN_FADEIN_TIME1 ) / ACCOUNTLOGIN_FADEIN_TIME2;
		if( Alpha < 0 )then
			Alpha = 0;
		elseif( Alpha > 1.0 )then
			Alpha = 1.0;
		end
		AccountLogin:SetAlpha( Alpha );

		if ( Alpha >= 1.0 ) then
			AccountLogin.update = nil;
		end
	end
end

function AccountLogin_Login()

	if ( fastLoginAutoLogin and ( not fastLoginTriedOnce ) ) then
		DefaultServerLogin(fastLoginUser, fastLoginPass);
	else
		DefaultServerLogin(AccountLoginAccountEdit:GetText(), AccountLoginPasswordEdit:GetText());
	end
	
	AccountLoginAccountEdit:ClearFocus();
	AccountLoginPasswordEdit:ClearFocus();
end

function AccountLogin_FocusPassword()
	AccountLoginPasswordEdit:SetFocus();
end

function AccountLogin_FocusAccountName()
	AccountLoginAccountEdit:SetFocus();
end

function AccountLoginPasswordEdit_OnGained(this, arg1)
	
end

function AccountLoginPasswordEdit_SetText(text)
	AccountLoginPasswordEdit:InsertChar(text);
end

function AccountLogin_Exit()
	QuitGame();
end

function AccountLogin_OnLoad()
	local file = "Interface\\Login\\Logo\\"..GetImageLocation().."\\RA_LOGO";
	AccountLogin.update = nil;
	AccountLoginVersion:SetText(GetVersion());
	AccountLoginLogo:SetTexture(file);
end

function AccountLogin_Show()
	AccountLogin.update = 0;
	AccountLogin:SetAlpha(0);
	AccountLogin:Show();
end

